using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.App.Request
{
    public class QueryGeoJsonCommonReq
    {
        public string tablename { get; set; }
        public string geom { get; set; }
        public string column { get; set; }
        public string where { get; set; }
        public string order { get; set; }
        public int pageIndex { get; set; }
        public int limit { get; set; }

        public void init()
        {
            //如果有的参数为空，设置参数的默认值
            if (string.IsNullOrEmpty(geom)) geom = "geom";
            if (string.IsNullOrEmpty(column)) column = "*";
            if (limit == 0 || limit == null) limit = 2000;
            if (string.IsNullOrEmpty(order)) order = "gid";
        }
    }
}
